Subject: Re: "command not found"
From: [email-masked] (Matthias Morche)

23 Jan 1999 06:16:11 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

"Buck, Peter INS" wrote:
> 
> All right, I confess, I fooled with the CygWin B20 shortcut.  Things were
> working fine before I did that.  Now, however, when I start Cygwin and type
> in things such as chdir or mkdir, I get (for example)
> 
> bash: mkdir: command not found.
....
> I took out the "echo off" in the bat file and verified that the path is
> getting set.

But to a wrong value, I bet mkdir.exe can't be seen within Your PATH...

> If I type in "help" I get a page of help, all the local commands.  They
> work.

Sure they do, they're built into bash and do NOT NEED a correct PATH.

Probably the PATH to the mkdir.exe is mangled (mount point did not
survive reinstallation, symlink gone, reinstalled to another location,
without changing $PATH to the new location...).

-- 
	Matthias Morche (mailto:[email-masked])
		SAT.1 (http://www.sat1.de)

>>> Linux: the greatest adventure game since the invention of the PC <<<

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".